net.sf.jasperreports.engine.fill

## Class JRRecordedValues

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRRecordedValues

- All Implemented Interfaces:
    java.io.Serializable

      public class JRRecordedValues
      extends java.lang.Object
      implements java.io.Serializable

  Recorded values container used by elements with `Auto evaluation time`.
  Version:
    $Id: JRRecordedValues.java 6168 2013-05-16 17:27:14Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRRecordedValues(java.util.Set<JREvaluationTime> evaluationTimes)` Creates a recorded values set.
    `JRRecordedValues(java.util.Set<JREvaluationTime> evaluationTimes, java.util.Map<java.lang.String,java.lang.Object> recordedFieldValues, java.util.Map<java.lang.String,java.lang.Object> recordedVariableValues)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doneEvaluation(JREvaluationTime evaluationTime)` Marks an evaluation time as done.
    `boolean` | `finishedEvaluations()` Decides whether all required evaluations are done.
    `java.util.Set<JREvaluationTime>` | `getEvaluationTimes()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getRecordedFieldValues()` Returns the recorded field values indexed by field name.
    `java.util.Map<java.lang.String,java.lang.Object>` | `getRecordedVariableValues()` Returns the recorded variable values indexed by variable name.
    `boolean` | `lastEvaluationTime()` Decides whether this is the last evaluation time.
    `void` | `recordFieldValue(java.lang.String fieldName, java.lang.Object value)` Records a field value.
    `void` | `recordVariableValue(java.lang.String variableName, java.lang.Object value)` Records a variable value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRRecordedValues

          public JRRecordedValues(java.util.Set<JREvaluationTime> evaluationTimes)

      Creates a recorded values set.
      Parameters:
        `evaluationTimes` - future times when the values will be recorded

    - #### JRRecordedValues

          public JRRecordedValues(java.util.Set<JREvaluationTime> evaluationTimes,
                          java.util.Map<java.lang.String,java.lang.Object> recordedFieldValues,
                          java.util.Map<java.lang.String,java.lang.Object> recordedVariableValues)

  - ### Method Detail

    - #### getEvaluationTimes

          public java.util.Set<JREvaluationTime> getEvaluationTimes()

    - #### doneEvaluation

          public void doneEvaluation(JREvaluationTime evaluationTime)

      Marks an evaluation time as done.
      Parameters:
        `evaluationTime` - the evaluation time

    - #### lastEvaluationTime

          public boolean lastEvaluationTime()

      Decides whether this is the last evaluation time.
      Returns:
        whether this is the last evaluation time

    - #### finishedEvaluations

          public boolean finishedEvaluations()

      Decides whether all required evaluations are done.
      Returns:
        whether all required evaluations are done

    - #### recordVariableValue

          public void recordVariableValue(java.lang.String variableName,
                                 java.lang.Object value)

      Records a variable value.
      Parameters:
        `variableName` - the variable name
        `value` - the variable value to record

    - #### recordFieldValue

          public void recordFieldValue(java.lang.String fieldName,
                              java.lang.Object value)

      Records a field value.
      Parameters:
        `fieldName` - the field name
        `value` - the field value to record

    - #### getRecordedVariableValues

          public java.util.Map<java.lang.String,java.lang.Object> getRecordedVariableValues()

      Returns the recorded variable values indexed by variable name.
      Returns:
        the recorded variable values

    - #### getRecordedFieldValues

          public java.util.Map<java.lang.String,java.lang.Object> getRecordedFieldValues()

      Returns the recorded field values indexed by field name.
      Returns:
        the recorded field values

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com